Loading...
Searching...
No Matches
pp-opus.c File Reference
Tools and utilities » Recordings post-processing utility

Post-processing to generate .opus files. More...

`#include <arpa/inet.h>`
`#include <endian.h>`
`#include <inttypes.h>`
`#include <string.h>`
`#include <stdlib.h>`
`#include "pp-avformat.h"`
`#include "pp-opus.h"`
`#include "pp-opus-silence.h"`
`#include "../debug.h"`
`#include "../version.h"`
Include dependency graph for pp-opus.c:

## Macros

#define | OPUS_PACKET_DURATION 48 * 20;

## Functions

const char ** | janus_pp_opus_get_extensions (void)
int | janus_pp_opus_create (char *destination, char *metadata, gboolean multiopus, const char *extension, int opusred_pt)
int | janus_pp_opus_process (FILE *file, janus_pp_frame_packet *list, int *working)
void | janus_pp_opus_close (void)

## Detailed Description

Post-processing to generate .opus files.

Author
  Lorenzo Miniero loren.nosp@m.zo@m.nosp@m.eetec.nosp@m.ho.c.nosp@m.om

Copyright
  GNU General Public License v3

Implementation of the post-processing code (based on libogg) needed to generate .opus files out of Opus RTP frames.

Recordings post-processing utility

## Macro Definition Documentation

## OPUS_PACKET_DURATION

#define OPUS_PACKET_DURATION 48 * 20;

## Function Documentation

## janus_pp_opus_close()

void janus_pp_opus_close | ( | void |  | ) |

## janus_pp_opus_create()

int janus_pp_opus_create | ( | char * | destination,
|  | char * | metadata,
|  | gboolean | multiopus,
|  | const char * | extension,
|  | int | opusred_pt )

## janus_pp_opus_get_extensions()

const char ** janus_pp_opus_get_extensions | ( | void |  | ) |

## janus_pp_opus_process()

int janus_pp_opus_process | ( | FILE * | file,
|  | janus_pp_frame_packet * | list,
|  | int * | working )